> For the complete documentation index, see [llms.txt](https://raic-labs.gitbook.io/raic-fed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://raic-labs.gitbook.io/raic-fed/api-reference/04b-stac-api/bulk-transaction-extension.md).

# Bulk Transaction Extension

## Bulk Create Item

> Endpoint.

```json
{"openapi":"3.1.0","info":{"title":"Raic Foundry Stac Api","version":"0.1"},"servers":[{"url":"/stac-api"}],"paths":{"/collections/{collection_id}/bulk_items":{"post":{"tags":["Bulk Transaction Extension"],"summary":"Bulk Create Item","description":"Endpoint.","operationId":"Bulk_Create_Item_collections__collection_id__bulk_items_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Items"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"string","title":"Response Bulk Create Item Collections  Collection Id  Bulk Items Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"Items":{"properties":{"items":{"additionalProperties":true,"type":"object","title":"Items"},"method":{"$ref":"#/components/schemas/BulkTransactionMethod","default":"insert"}},"type":"object","required":["items"],"title":"Items"},"BulkTransactionMethod":{"type":"string","enum":["insert","upsert"],"title":"BulkTransactionMethod","description":"Bulk Transaction Methods."},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```
